{
  onStart(pokemon) {
    this.add("-start", pokemon, "Bramble Ring");
  },
  onDamagingHitOrder: 1,
  onDamagingHit(damage, target, source, move) {
    if (this.checkMoveMakesContact(move, source, target, true)) {
      this.damage(source.baseMaxhp / 8, source, target);
    }
  },
  onHit(target, source, move) {
    if (move.id === "rapidspin" || move.id === "whiparound" || move.id === "mortalspin" || move.id === "defog" || move.id === "gmaxwindrage") {
      target.removeVolatile("bramblering");
    }
  },
  onResidualOrder: 21,
  onEnd(pokemon) {
    this.add("-end", pokemon, "Bramble Ring");
  }
}